<?php

namespace FiloBlu\Newsletter\Block;

class Popup extends \Magento\Framework\View\Element\Template {

    /**
     * Helper
     *
     * @var \FiloBlu\Newsletter\Helper\Data
     */
    public $_helper;
    public $_directoryBlock;

    public function __construct(
    \Magento\Framework\View\Element\Template\Context $context, array $data = [], \FiloBlu\Newsletter\Helper\Data $helper, \Magento\Directory\Block\Data $directoryBlock
    ) {
        $this->_helper = $helper;
        $this->_directoryBlock = $directoryBlock;
        parent::__construct($context, $data);
    }

    public function getCountries() {
        $country = $this->_directoryBlock->getCountryHtmlSelect();
        return $country;
    }

    /**
     * Retrieve form action url and set "secure" param to avoid confirm
     * message when we submit form from secure page to unsecure
     *
     * @return string
     */
    public function getFormActionUrl() {
        return $this->getUrl('newsletterajax/subscriber/new', ['_secure' => true]);
    }

    protected function _toHtml() {

        if (!$this->_helper->getConfig("popup/enabled")) {
            return "";
        } else {
            return parent::_toHtml();
        }
    }

}
